Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1787)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1788)
@@ -4290,5 +4307,5 @@
      ENDIF
 
-    IF ( large_scale_forcing .AND. topography /= 'flat' )  THEN
+    IF ( large_scale_forcing  .AND.  topography /= 'flat' )  THEN
        message_string = 'The usage of large scale forcing from external &'//   & 
                         'file LSF_DATA is not implemented for non-flat topography'
@@ -4296,5 +4313,5 @@
     ENDIF
 
-    IF ( large_scale_forcing .AND.  ocean  )  THEN
+    IF ( large_scale_forcing  .AND.  ocean  )  THEN
        message_string = 'The usage of large scale forcing from external &'//   & 
                         'file LSF_DATA is not implemented for ocean runs'
@@ -4320,7 +4337,7 @@
 !-- Check for valid setting of most_method
     IF ( TRIM( most_method ) /= 'circular'  .AND.                              &
-         TRIM( most_method ) /= 'newton'  .AND.                                &
+         TRIM( most_method ) /= 'newton'    .AND.                              &
          TRIM( most_method ) /= 'lookup' )  THEN
-       message_string = 'most_method = "' // TRIM( most_method ) //      &
+       message_string = 'most_method = "' // TRIM( most_method ) //            &
                         '" is unknown'
        CALL message( 'check_parameters', 'PA0416', 1, 2, 0, 6, 0 )
@@ -4352,13 +4369,13 @@
        IF ( dt_do == 0.0_wp )  THEN
           IF ( dt_fixed )  THEN
-             WRITE( message_string, '(A,F9.4,A)' )  'Output at every '  //  &
-                    'timestep is desired (' // dt_do_name // ' = 0.0).&'//  &
-                    'Setting the output interval to the fixed timestep '//  &
+             WRITE( message_string, '(A,F9.4,A)' )  'Output at every '  //     &
+                    'timestep is desired (' // dt_do_name // ' = 0.0).&'//     &
+                    'Setting the output interval to the fixed timestep '//     &
                     'dt = ', dt, 's.'
              CALL message( 'check_parameters', 'PA0060', 0, 0, 0, 6, 0 )
              dt_do = dt
           ELSE
-             message_string = dt_do_name // ' = 0.0 while using a ' //      &
-                              'variable timestep and parallel netCDF4 ' //  &
+             message_string = dt_do_name // ' = 0.0 while using a ' //         &
+                              'variable timestep and parallel netCDF4 ' //     &
                               'is not allowed.'
              CALL message( 'check_parameters', 'PA0081', 1, 2, 0, 6, 0 )
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1787)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1788)
@@ -19,6 +19,6 @@
 ! Current revisions:
 ! -----------------
+! Added output of z0q
 ! 
-!
 ! Former revisions:
 ! -----------------
@@ -129,5 +129,5 @@
     USE arrays_3d,                                                             &
         ONLY:  dzw, e, nr, ol, p, pt, q, qc, ql, ql_c, ql_v, ql_vp, qr, qsws,  &
-               rho, sa, shf, tend, ts, u, us, v, vpt, w, z0, z0h, zu, zw
+               rho, sa, shf, tend, ts, u, us, v, vpt, w, z0, z0h, z0q, zu, zw
         
     USE averaging
@@ -1247,4 +1247,22 @@
                       DO  j = nysg, nyng
                          local_pf(i,j,nzb+1) =  z0h_av(j,i)
+                      ENDDO
+                   ENDDO
+                ENDIF
+                resorted = .TRUE.
+                two_d = .TRUE.
+                level_z(nzb+1) = zu(nzb+1)
+
+             CASE ( 'z0q*_xy' )        ! 2d-array
+                IF ( av == 0 ) THEN
+                   DO  i = nxlg, nxrg
+                      DO  j = nysg, nyng
+                         local_pf(i,j,nzb+1) =  z0q(j,i)
+                      ENDDO
+                   ENDDO
+                ELSE
+                   DO  i = nxlg, nxrg
+                      DO  j = nysg, nyng
+                         local_pf(i,j,nzb+1) =  z0q_av(j,i)
                       ENDDO
                    ENDDO
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1787)
+++ palm/trunk/SOURCE/header.f90	(revision 1788)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Parameter dewfall removed
 !
 ! Former revisions:
@@ -248,5 +248,5 @@
    
     USE land_surface_model_mod,                                                &
-        ONLY:  conserve_water_content, dewfall, land_surface, nzb_soil,        &
+        ONLY:  conserve_water_content, land_surface, nzb_soil,                 &
                nzt_soil, root_fraction, soil_moisture, soil_temperature,       &
                soil_type, soil_type_name, veg_type, veg_type_name, zs
@@ -964,10 +964,4 @@
        ELSE
           WRITE( io, 441 )
-       ENDIF
-
-       IF ( dewfall )  THEN
-          WRITE( io, 442 )
-       ELSE
-          WRITE( io, 443 )
        ENDIF
 
@@ -2341,8 +2335,6 @@
             '       Root fraction: ',A,'  '/ &
             '       Gridpoint:     ',A)
-440 FORMAT (/' --> Dewfall is allowed (default)')
-441 FORMAT (' --> Dewfall is inhibited')
-442 FORMAT (' --> Soil bottom is closed (water content is conserved, default)')
-443 FORMAT (' --> Soil bottom is open (water content is not conserved)')
+440 FORMAT (' --> Soil bottom is closed (water content is conserved, default)')
+441 FORMAT (' --> Soil bottom is open (water content is not conserved)')
 444 FORMAT (//' Radiation model information:'/                                 &
               ' ----------------------------'/)
